Bug 7067 - (int-137471) gtk-icon-theme-name unset
(int-137471)
: gtk-icon-theme-name unset
Status: RESOLVED FIXED
Product: Desktop platform
hildon-theme
: 5.0/(1.2009.42-11)
: All Maemo
: Low normal (vote)
: 5.0/(1.2009.44-1)
Assigned To: unassigned
: hildon-theme-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-12-17 11:10 UTC by manuel.kirsch
Modified: 2010-01-11 14:49 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description manuel.kirsch (reporter) 2009-12-17 11:10:25 UTC
SOFTWARE VERSION:
(Settings > General > About product)

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1,a. Start a gtk-app from X Terminal.
1,b. Start a gtk-app as sudo from X Terminal.

EXPECTED OUTCOME:
No warning

ACTUAL OUTCOME:
1,a. Warning: No gtk-icon-theme-name set in ~/.gtkrc-2.0, small dark screen
1,b. Warning: No gtk-icon-theme-name set in ~/.gtkrc-2.0, bigger bright screen

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:
pcmanfm (lenny)

OTHER COMMENTS:
Could be fixed when adding the line: gtk-icon-theme-name = "hildon-Icons" in
/usr/share/themes/~/gtkrc/gtkrc

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; de; rv:1.9.1.5)
Gecko/20091109 Ubuntu/9.10 (karmic) Firefox/3.5.5
Comment 1 Andre Klapper maemo.org 2009-12-17 14:53:29 UTC
Thanks for reporting this.

(In reply to comment #0)
> EXACT STEPS LEADING TO PROBLEM: 
> 1,a. Start a gtk-app from X Terminal.
> 1,b. Start a gtk-app as sudo from X Terminal.

Can you provide one exact example command, please?
Comment 2 Andre Klapper maemo.org 2009-12-17 15:16:53 UTC
Also see bug 3659.

This has been fixed in package
hildon-theme-layout-5 0.13.2-1+0m5
which is part of the internal build version
2009.43-5
(Note: 2009 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal exists at
  
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 3 Andre Klapper maemo.org 2010-01-11 14:49:09 UTC
This is fixed in the small update that was released today (version
1.2009.44-1).